#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

LINUXVERSION=`grep VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|VERSION="||' -e 's|"||'`-${BOARDNAME}

VERSION="v0.0.3-3"
SHA1SUM="693d7642720a99cd7a63d2b09f728b4cfdcc14f6"
#URL="http://dl.sourceforge.net/ebtables"
URL="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain linux"
##################################################

download_bz2 arptables &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/arptables-${VERSION}.tar.bz2 &&
cd arptables-${VERSION} &&

patch_src arptables &&

sed -e 's|-O2|-Os|g' -i Makefile &&
make KERNEL_DIR=${BUILDDIR}/linux-${LINUXVERSION} BINDIR=/sbin/ MANDIR=/usr/share/man/ CC="${CC} -Os -fPIC" &&

install -v -m755 arptables ${INSTALLDIR}/sbin &&
install -v -m644 arptables.8 ${INSTALLDIR}/usr/share/man/man8 &&

cd ${BUILDDIR} &&
rm -rf arptables-${VERSION}

