#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.11.2"
SHA1SUM="c8320fe797900d905398dbd8564d2f8f08721819"
URL="http://www.busybox.net/downloads"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 busybox &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/busybox-${VERSION}.tar.bz2 &&
cd busybox-${VERSION} &&

patch_src busybox &&

cp ${BUILDCONFDIR}/config-busybox .config &&

make ARCH=${BOARDARCH} CROSS_COMPILE="${CROSS_TARGET}-" CFLAGS="-Os -fPIC" oldconfig &&
make ARCH=${BOARDARCH} CROSS_COMPILE="${CROSS_TARGET}-" CFLAGS="-Os -fPIC" &&
make ARCH=${BOARDARCH} CROSS_COMPILE="${CROSS_TARGET}-" CFLAGS="-Os -fPIC" CONFIG_PREFIX="${INSTALLDIR}" install &&

# depmod replacement, easy to get a modules.dep in cross compile env
cp examples/depmod.pl ${INSTALLDIR}/cross-tools/bin &&
chmod 755 ${INSTALLDIR}/cross-tools/bin/depmod.pl &&

# we need the reboot function, but wrap the binary
rm -vf ${INSTALLDIR}/sbin/{halt,poweroff,reboot} &&
cat > ${INSTALLDIR}/sbin/reboot << EOF &&
#!/bin/ash

/etc/init.d/rc.reboot start &
EOF

chmod 755  ${INSTALLDIR}/sbin/reboot &&

cd ${BUILDDIR} &&
rm -rf busybox-${VERSION}
