#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="0.51"
SHA1SUM="cb942783efa6e16b61a3f48da43ed7fb2597014d"
URL="http://matt.ucc.asn.au/dropbear"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 dropbear &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/dropbear-${VERSION}.tar.bz2 &&
cd dropbear-${VERSION} &&

patch_src dropbear &&

sed -e 's/-O2/-Os/g' -i configure &&
CC="${CC} -Os -fPIC" ./configure --host=${CROSS_TARGET} --prefix=/ --with-zlib  --disable-nls --disable-largefile --disable-lastlog &&
cp -v ${BUILDCONFDIR}/dropbear-options.h options.h &&

make MULTI=1 PROGRAMS="dropbear dbclient dropbearkey dropbearconvert scp ssh" &&

install -v -m755 dropbearmulti ${INSTALLDIR}/sbin &&
ln -svf dropbearmulti ${INSTALLDIR}/sbin/dropbear &&
ln -svf ../sbin/dropbearmulti ${INSTALLDIR}/bin/dbclient &&
ln -svf ../sbin/dropbearmulti ${INSTALLDIR}/bin/dropbearkey &&
ln -svf ../sbin/dropbearmulti ${INSTALLDIR}/bin/dropbearconvert &&
ln -svf ../sbin/dropbearmulti ${INSTALLDIR}/bin/scp &&
ln -svf ../sbin/dropbearmulti ${INSTALLDIR}/bin/ssh &&

cd ${BUILDDIR} &&
rm -rf dropbear-${VERSION}

