#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="29"
SHA1SUM="eb25b351957b83cdc0adb12d53c99a826799e568"
URL="http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 wireless_tools &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/wireless_tools-${VERSION}.tar.bz2 &&
cd wireless_tools-${VERSION} &&

patch_src wireless_tools &&

make CC="${CC} -Os -fPIC" libiw.so.${VERSION} &&
make CC="${CC} -Os -fPIC" PREFIX="${INSTALLDIR}" INSTALL_INC=${INSTALLDIR}/usr/include/ INSTALL_MAN=${INSTALLDIR}/usr/man install-dynamic install-hdr install-man &&

sed -e 's|#include "iwlib.c"|/* #include "iwlib.c" */|' -i iwmulticall.c &&
make CC="${CC} ${BUILD} -Os -fPIC" LIBS="-lm -liw" iwmulticall &&
make CC="${CC} ${BUILD} -Os -fPIC" PREFIX="${INSTALLDIR}" INSTALL_INC=${INSTALLDIR}/usr/include/ INSTALL_MAN=${INSTALLDIR}/usr/man install-iwmulticall &&

cd ${BUILDDIR} &&
rm -rf wireless_tools-${VERSION}


