#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION=`grep ^VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|VERSION="||' -e 's|"||'`
SHA1SUM=`grep ^SHA1SUM= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|SHA1SUM="||' -e 's|"||'`
URL=`grep ^URL= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|URL="||' -e 's|"||'`
FALLBACK=`grep ^FALLBACK= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|FALLBACK="||' -e 's|"||'`
##################################################

download_bz2 linux &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/linux-${VERSION}.tar.bz2 &&
cd linux-${VERSION} &&

patch_src linux &&

make distclean &&
make mrproper &&
make ARCH=${BOARDARCH} mrproper &&
make ARCH=${BOARDARCH} headers_check &&
make ARCH=${BOARDARCH} INSTALL_HDR_PATH=dest headers_install &&
install -dv ${INSTALLDIR}/usr/include &&
cp -rv dest/include/* ${INSTALLDIR}/usr/include &&

cd ${BUILDDIR} &&
rm -rf linux-${VERSION}

